Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 193585 - autofs does not seem to be doing anything with '-hosts' in maps
autofs does not seem to be doing anything with '-hosts' in maps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-30 15:34 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: autofs-5.0.0_beta4-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 20:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-05-30 15:34:32 EDT
Description of problem:

This is not overdocumented, to put it mildly, so it is not entirely
clear what is expected, but in the current autofs one can find the
following in README.v5.release:

- a "hosts" map module has been added
  - an entry like "/net -hosts" is now understood and uses the new
    multi-mount semantics for lazy mount/umount of exports from the host.

A line like the following one

/net -hosts --timeout=60

in /etc/auto.master is indeed accepted without complaints but it
does not seem to have any discernible effects.  With a DEFAULT_LOGGING
level set to "debug" any attempt to access file systems on a remote
results in log entries in that style:

  lookup_mount: lookup(hosts): can't find path in hosts map /net/<whatever>

and "No such file or directory" from an attempted operation.

With '/net   /etc/auto.net --timeout=60' in auto.master the same operation
is causing currently at least mounting of / from a referenced host
(if not filesystems deeper in an exported tree).

Version-Release number of selected component (if applicable):
autofs-5.0.0_beta3-4

How reproducible:
always
Comment 1 Ian Kent 2006-05-31 00:36:46 EDT
(In reply to comment #0)
> Description of problem:
> 
> This is not overdocumented, to put it mildly, so it is not entirely
> clear what is expected, but in the current autofs one can find the
> following in README.v5.release:

Yes. Your right.
I'll need to address that.

> A line like the following one
> 
> /net -hosts --timeout=60
> 
> in /etc/auto.master is indeed accepted without complaints but it
> does not seem to have any discernible effects.  With a DEFAULT_LOGGING
> level set to "debug" any attempt to access file systems on a remote
> results in log entries in that style:
> 
>   lookup_mount: lookup(hosts): can't find path in hosts map /net/<whatever>
> 
> and "No such file or directory" from an attempted operation.

I must have broken it during subsequent development.
I'll check and get back.

Sorry.
Ian

Note You need to log in before you can comment on or make changes to this bug.